Bug 519176 - Bluetooth - kernel: hci_cmd_task: hci0 command tx timeout
Summary: Bluetooth - kernel: hci_cmd_task: hci0 command tx timeout
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 14:36 UTC by Pedro Silva
Modified: 2012-10-30 08:04 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-11 18:00:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 268502 0 None None None Never

Description Pedro Silva 2009-08-25 14:36:37 UTC
Description of problem:

Bluetooth detection and use is very unstable with gnome-bluetooth and/or blueman.

lsusb:
Bus 003 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

When I insert it, this shows up in /var/log/messages:

Aug 25 15:28:31 localhost kernel: usb 3-1: new full speed USB device using uhci_hcd and address 4
Aug 25 15:28:31 localhost kernel: usb 3-1: New USB device found, idVendor=0a12, idProduct=0001
Aug 25 15:28:31 localhost kernel: usb 3-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Aug 25 15:28:31 localhost kernel: usb 3-1: configuration #1 chosen from 1 choice
Aug 25 15:28:31 localhost bluetoothd[1677]: HCI dev 0 registered
Aug 25 15:28:31 localhost bluetoothd[1677]: HCI dev 0 up
Aug 25 15:28:31 localhost bluetoothd[1677]: Starting security manager 0
Aug 25 15:28:36 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:28:41 localhost bluetoothd[1677]: Can't write inquiry mode for /org/bluez/1677/hci0: Connection timed out (110)
Aug 25 15:28:41 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:28:46 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:28:46 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:28:51 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:28:51 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:28:56 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:28:56 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:01 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:29:01 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:06 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:29:06 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:11 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:29:11 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:16 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:29:16 localhost bluetoothd[1677]: probe failed with driver input-headset for device /org/bluez/1677/hci0/dev_00_1B_59_52_99_41
Aug 25 15:29:16 localhost bluetoothd[1677]: Adapter /org/bluez/1677/hci0 has been enabled
Aug 25 15:29:16 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:21 localhost bluetoothd[1677]: Sending getting name command failed: Connection timed out (110)
Aug 25 15:29:21 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:26 localhost bluetoothd[1677]: Can't read class of device on hci0: Connection timed out (110)
Aug 25 15:29:26 localhost kernel: hci_cmd_task: hci0 command tx timeout

[root@portatil ~]# hciconfig
hci0:	Type: USB
	BD Address: 00:1F:81:00:02:50 ACL MTU: 1021:4 SCO MTU: 180:1
	UP RUNNING 
	RX bytes:676 acl:0 sco:0 events:21 errors:0
	TX bytes:327 acl:0 sco:0 commands:32 errors:12

[root@portatil ~]# hcitool scan
Scanning ...
Inquiry failed: Connection timed out

[root@portatil ~]# rpm -qa | grep blue
gnome-bluetooth-2.27.5-1.fc11.i586
blueman-1.10-3.fc11.i586
pulseaudio-module-bluetooth-0.9.15-14.fc11.i586
gnome-bluetooth-libs-2.27.5-1.fc11.i586
bluez-libs-4.42-4.fc11.i586
pybluez-0.15-4.fc11.i586
bluez-4.42-4.fc11.i586
bluez-cups-4.42-4.fc11.i586

[root@portatil ~]# rpm -qa | grep kernel
kerneloops-0.12-5.fc11.i586
kernel-PAE-2.6.30.5-32.fc11.i686
kernel-headers-2.6.29.6-217.2.8.fc11.i586
kernel-PAE-2.6.29.6-217.2.8.fc11.i686
kernel-firmware-2.6.30.5-32.fc11.noarch
kernel-PAE-2.6.29.6-217.2.7.fc11.i686

[root@portatil ~]# lsmod | grep bt
btusb                  14312  2 
bluetooth              81728  11 hidp,rfcomm,bnep,sco,l2cap,btusb

Every attempt to scan for devices, via "hcitool scan", blueman or gnome-bluetooth applet results in a kernel: hci_cmd_task: hci0 command tx timeout in /var/log/messages.

This bluetooth adaptor is a tiny one with no brand.

Comment 1 Pedro Silva 2009-08-25 14:38:14 UTC
Forgot to say, this happens using kernel PAE-2.6.29.6-217.2.8 and PAE-2.6.30.5-32.fc11.i686.

Comment 2 Pedro Silva 2009-08-26 16:09:52 UTC
Usually, if I turn the laptop on with the bluetooth adaptor already plugged in, it works for a few moments, hcitool scan, pairing. After some bluetooth actions, the adaptor stops working with the message: kernel: hci_cmd_task: hci0 command tx.

If the adaptor is inserted after booting the laptop, usually it doesn't work and always shows the command tx error message when trying to scan, pairing or any other bluetooth action.

Comment 3 Pedro Silva 2009-08-27 12:36:54 UTC
I own two other bluetooth adaptors which work flawlessly since fedora 6 or 7.
All three adaptors have the same usb id:

Bus 003 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

One of them seems to work every time (kernel-PAE-2.6.30.5-32.fc11.i686), the other one upon inserted requires a restart of the bluetooth service to start working. The new one, which originated this bug report, always stops working (or never does) after some bt actions, like scanning, pairing or browsing files on a cell phone with the error message on /var/log/messages: kernel: hci_cmd_task: hci0
command tx.

Could this be a problem around hci_usb kernel module being replaced with btusb kernel module?

I'll be very happy to provide any additional information needed to debug this problem.

Thanks in advance!

Comment 4 Chuck Ebbert 2009-08-28 00:03:49 UTC
Works here with:
  0a5c:2101 Broadcom Corp. A-Link BlueUsbA2 Bluetooth

Comment 5 Pedro Silva 2009-08-28 21:09:55 UTC
Thanks for taking time to review this bug.

I'm in the process of installing a box with F12 Alpha, I'll have new comments about this bug as soon as I can update it and groupinstall gnome desktop.

Comment 6 Chuck Ebbert 2009-08-29 02:29:33 UTC
Also works with Kensington model #33348 dongle, id 047d:105e

Comment 7 Salamandra 2009-09-05 15:24:02 UTC
I have the same problem with 2.6.29.6-217.2.16.fc11.x86_64. And a very similar bluetooth dongle.

If more information is needed just ask for it.

Thanks in advance.

Comment 8 Salamandra 2009-09-05 15:55:41 UTC
(In reply to comment #7)
> I have the same problem with 2.6.29.6-217.2.16.fc11.x86_64. And a very similar
> bluetooth dongle.
> 
> If more information is needed just ask for it.
> 
> Thanks in advance.  

Just add it is a:

Bus 002 Device 005: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Comment 9 Pedro Silva 2009-09-07 20:09:49 UTC
Running Fedora 12 Alpha updated till today:

2.6.31-0.204.rc9.fc12.i686.PAE

bluez-libs-4.52-1.fc12.i686
bluez-cups-4.52-1.fc12.i686
gnome-bluetooth-2.27.90-2.fc12.i686
gnome-bluetooth-libs-2.27.90-2.fc12.i686
bluez-4.52-1.fc12.i686

[root@utopia ~]# hciconfig -a
hci0:	Type: USB
	BD Address: 00:1F:81:00:02:50 ACL MTU: 1021:4 SCO MTU: 180:1
	UP RUNNING PSCAN 
	RX bytes:972 acl:0 sco:0 events:28 errors:0
	TX bytes:361 acl:0 sco:0 commands:29 errors:2
	Features: 0xff 0x3e 0x0d 0x76 0x80 0x01 0x00 0x80
	Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
	Link policy: RSWITCH HOLD SNIFF PARK 
	Link mode: SLAVE ACCEPT 
Can't read local name on hci0: Connection timed out (110)

Sep  7 21:07:35 utopia kernel: hci_cmd_task: hci0 command tx timeout

Comment 10 Pedro Silva 2009-09-07 20:15:04 UTC
lsusb:
Bus 004 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Regarding the last error message from hciconfig, Can't read local name on hci0:, I tried this:

[root@utopia ~]# hciconfig hci0 name utopia
Can't change local name on hci0: Connection timed out (110)

Comment 11 Pedro Silva 2009-09-07 20:25:31 UTC
I tried some hciconfig options:

[root@utopia ~]# hciconfig hci0 down

Prompt resumes, seems down.

[root@utopia ~]# hciconfig hci0 up

Prompt doesn't resume. Ctrl-C or Ctrl-Z doesn't work. Kill -9 doesn't work either. /var/log/messages says this:

Sep  7 21:21:33 utopia bluetoothd[1062]: HCI dev 0 down
Sep  7 21:21:33 utopia bluetoothd[1062]: Adapter /org/bluez/1059/hci0 has been disabled
Sep  7 21:21:33 utopia bluetoothd[1062]: Stopping security manager 0
Sep  7 21:21:42 utopia kernel: usb 4-2: reset full speed USB device using uhci_hcd and address 2
Sep  7 21:21:42 utopia kernel: btusb 4-2:1.0: no reset_resume for driver btusb?
Sep  7 21:21:42 utopia kernel: btusb 4-2:1.1: no reset_resume for driver btusb?

Comment 12 Pedro Silva 2009-09-07 22:13:39 UTC
More hciconfig options:

[root@utopia ~]# hciconfig hci0 reset
[root@utopia ~]# hciconfig -a
hci0:	Type: USB
	BD Address: 00:1F:81:00:02:50 ACL MTU: 1021:4 SCO MTU: 180:1
	UP RUNNING PSCAN 
	RX bytes:2224 acl:0 sco:0 events:61 errors:0
	TX bytes:733 acl:0 sco:0 commands:59 errors:2
	Features: 0xff 0x3e 0x0d 0x76 0x80 0x01 0x00 0x80
	Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
	Link policy: RSWITCH HOLD SNIFF PARK 
	Link mode: SLAVE ACCEPT 
	Name: 'Accel-OB2'
	Class: 0x4a0104
	Service Classes: Networking, Capturing, Telephony
	Device Class: Computer, Desktop workstation
	HCI Ver: 2.0 (0x3) HCI Rev: 0x3 LMP Ver: 2.0 (0x3) LMP Subver: 0x3
	Manufacturer: Cambridge Silicon Radio (10)

After the hciconfig reset, this adaptor has never stopped working. Do I really have to issue hciconfig hci0 reset each boot for bluetooth to work? Is this still a kernel related problem?

Comment 13 Salamandra 2009-09-15 07:00:56 UTC
Last day update solved the problem. Bluetooth is working now.

Comment 14 Leif Gruenwoldt 2009-10-24 22:51:05 UTC
Tested with Fedora 12 Beta and is working for my bluetooth dongle now.

I recommend anyone previously getting the "hci_cmd_task: hci0 command tx timeout" give the live cd Beta a shot.

Comment 15 Bug Zapper 2009-11-16 11:40:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Pedro Silva 2010-01-06 15:54:41 UTC
I still hit this bug. I'm running F12 fully updated till today.

I get this in /var/log/messages upon inserting the bluetooth dongle:

Jan  6 15:52:34 desktop kernel: usb 4-1: new full speed USB device using uhci_hcd and address 6
Jan  6 15:52:34 desktop kernel: usb 4-1: New USB device found, idVendor=0a12, idProduct=0001
Jan  6 15:52:34 desktop kernel: usb 4-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Jan  6 15:52:34 desktop kernel: usb 4-1: configuration #1 chosen from 1 choice
Jan  6 15:52:34 desktop bluetoothd[687]: HCI dev 0 registered
Jan  6 15:52:34 desktop bluetoothd[687]: HCI dev 0 up
Jan  6 15:52:34 desktop bluetoothd[687]: Starting security manager 0
Jan  6 15:52:39 desktop bluetoothd[687]: Can't read version info for /org/bluez/686/hci0: Connection timed out (110)
Jan  6 15:52:50 desktop bluetoothd[687]: bridge pan0 removed
Jan  6 15:52:50 desktop bluetoothd[687]: Stopping SDP server
Jan  6 15:52:50 desktop bluetoothd[687]: Exit
Jan  6 15:52:50 desktop obex-data-server: sdp_send_req_w4_rsp: Error sending data:Broken pipe
Jan  6 15:52:50 desktop obex-data-server: sdp_send_req_w4_rsp: Error sending data:Broken pipe

Comment 17 Leif Gruenwoldt 2010-02-19 19:43:09 UTC
Removing myself from CC because works-for-me.

Comment 18 Stan Trzmiel 2010-04-18 13:10:26 UTC
I hit very similar problem. I cannot enable my usb bluetooth adapter, it's visible in lsusb:

...
Bus 004 Device 002: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
...

hciconfig:
hci0:   Type: USB
        BD Address: 00:00:00:00:00:00 ACL MTU: 0:0 SCO MTU: 0:0
        DOWN 
        RX bytes:0 acl:0 sco:0 events:0 errors:0
        TX bytes:0 acl:0 sco:0 commands:4 errors:0
==============
Here's how it looks in /var/log/messages

Apr 18 14:06:59 moj kernel: Bluetooth: Core ver 2.15
Apr 18 14:06:59 moj kernel: NET: Registered protocol family 31
Apr 18 14:06:59 moj kernel: Bluetooth: HCI device and connection manager initialized
Apr 18 14:06:59 moj kernel: Bluetooth: HCI socket layer initialized
Apr 18 14:07:02 moj kernel: usb 1-6: USB disconnect, address 3
Apr 18 14:07:06 moj kernel: usb 4-2: new full speed USB device using uhci_hcd and address 2
Apr 18 14:07:16 moj kernel: usb 4-2: New USB device found, idVendor=1131, idProduct=1001
Apr 18 14:07:16 moj kernel: usb 4-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Apr 18 14:07:16 moj kernel: usb 4-2: Product: ISSCBTA
Apr 18 14:07:16 moj kernel: usb 4-2: configuration #1 chosen from 1 choice
Apr 18 14:07:16 moj kernel: Bluetooth: Generic Bluetooth USB driver ver 0.6
Apr 18 14:07:16 moj kernel: usb 4-2: reset full speed USB device using uhci_hcd and address 2
Apr 18 14:07:16 moj kernel: btusb 4-2:1.0: no reset_resume for driver btusb?
Apr 18 14:07:16 moj kernel: btusb 4-2:1.1: no reset_resume for driver btusb?
Apr 18 14:07:16 moj kernel: usbcore: registered new interface driver btusb
Apr 18 14:07:17 moj bluetoothd[2811]: Bluetooth daemon 4.58
Apr 18 14:07:17 moj bluetoothd[2812]: Starting SDP server
Apr 18 14:07:17 moj kernel: Bluetooth: L2CAP ver 2.14
Apr 18 14:07:17 moj kernel: Bluetooth: L2CAP socket layer initialized
Apr 18 14:07:17 moj bluetoothd[2812]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Apr 18 14:07:17 moj kernel: Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Apr 18 14:07:17 moj kernel: Bluetooth: BNEP filters: protocol multicast
Apr 18 14:07:17 moj bluetoothd[2812]: bridge pan0 created
Apr 18 14:07:17 moj kernel: Bridge firewalling registered
Apr 18 14:07:17 moj bluetoothd[2812]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Apr 18 14:07:17 moj bluetoothd[2812]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Apr 18 14:07:17 moj NetworkManager: <WARN>  device_creator(): /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
Apr 18 14:07:17 moj bluetoothd[2812]: HCI dev 0 registered
Apr 18 14:07:17 moj kernel: Bluetooth: SCO (Voice Link) ver 0.6
Apr 18 14:07:17 moj kernel: Bluetooth: SCO socket layer initialized
Apr 18 14:07:27 moj bluetoothd[2824]: Can't init device hci0: Connection timed out (110)
=================
When trying to do hcicontrol hci0 up or reset i got timeout error on the console
"Can't init device hci0: Connection timed out (110)"

and in /var/logmessages

...
Apr 18 14:07:38 moj kernel: usb 4-2: reset full speed USB device using uhci_hcd and address 2
...
================
last know working kernel is 2.6.31.5-127 (the one shipped on F12 final media).

Comment 19 Sinan H 2010-05-07 15:20:30 UTC
I'm also hit with this issue ...

[root@cygn ~]# uname -r
2.6.32.11-99.fc12.i686.PAE

[root@cygn ~]# lsusb
Bus 004 Device 006: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

[[root@cygn ~]# hciconfig hci0 down
[root@cygn ~]# hciconfig hci0 up
Can't init device hci0: Connection timed out (110)
[root@cygn ~]# hciconfig hci0 reset
Can't init device hci0: Connection timed out (110)

dmesg:
usb 4-1: USB disconnect, address 5
usb 4-1: new full speed USB device using uhci_hcd and address 6
usb 4-1: New USB device found, idVendor=1131, idProduct=1001
usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 4-1: Product: ISSCBTA
usb 4-1: configuration #1 chosen from 1 choice
usb 4-1: reset full speed USB device using uhci_hcd and address 6
btusb 4-1:1.0: no reset_resume for driver btusb?
btusb 4-1:1.1: no reset_resume for driver btusb?
hci_cmd_task: hci0 command tx timeout
usb 4-1: reset full speed USB device using uhci_hcd and address 6
usb 4-1: reset full speed USB device using uhci_hcd and address 6

Comment 20 tsudbrak 2010-05-11 09:16:53 UTC
Hi,

I can confirm it (same kernel version and BT device).  It was working fine running with the latest F11 kernel (kernel-PAE-2.6.30.10-105.2.23.fc11.i686).

Comment 21 tsudbrak 2010-05-11 14:00:09 UTC
(In reply to comment #20)
The following device works perfectly, though (again with kernel version 2.6.32.11-99.fc12.i686.PAE):

# lsusb
...
Bus 006 Device 008: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
...

Comment 22 Jason N 2010-05-25 14:57:54 UTC
I have a similar problem - noticed it connecting to my iPhone over bluetooth for tethering.  It work previously under F12 however has recently stopped.  I get the laptop and phone paired and then the connection drops.

...
May 26 00:52:48 neathway kernel: btusb_intr_complete: hci0 urb ef044600 failed to resubmit (1)
May 26 00:52:48 neathway kernel: btusb_bulk_complete: hci0 urb ef044180 failed to resubmit (1)
May 26 00:52:48 neathway kernel: btusb_bulk_complete: hci0 urb ef044d80 failed to resubmit (1)
May 26 00:52:55 neathway kernel: btusb_intr_complete: hci0 urb f6bc1500 failed to resubmit (1)

...


$ uname -a
Linux neathway 2.6.32.12-115.fc12.i686.PAE #1 SMP Fri Apr 30 20:14:08 UTC 2010 i686 i686 i386 GNU/Linux

Comment 23 Mitch Davis 2010-06-21 23:38:15 UTC
I too have an ISSC KY-BT100 BT adaptor, and the kernel messages I get are the same as in comment 19.

Bus 007 Device 005: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

This adaptor used to work under Fedora.

Comment 24 Daryll 2010-07-02 16:18:50 UTC
I appear to be having the same problem with a CSR bluetooth dongle.

hci0:	Type: BR/EDR  Bus: USB
	BD Address: 00:1F:81:00:01:1C  ACL MTU: 1021:4  SCO MTU: 180:1
	UP RUNNING PSCAN ISCAN 
	RX bytes:1046 acl:0 sco:0 events:35 errors:0
	TX bytes:371 acl:0 sco:0 commands:31 errors:3
	Features: 0xff 0x3e 0x09 0x76 0x80 0x01 0x00 0x80
	Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
	Link policy: RSWITCH HOLD SNIFF PARK 
	Link mode: SLAVE ACCEPT 

Jul  2 09:07:28 localhost kernel: hci_cmd_task: hci0 command tx timeout
Jul  2 09:14:44 localhost kernel: hci_cmd_task: hci0 command tx timeout

Linux ninja 2.6.33.5-124.fc13.i686.PAE #1 SMP Fri Jun 11 09:42:24 UTC 2010 i686 i686 i386 GNU/Linux

I inserted the the dongle and it was recognized, but the I got the tx timeout right away when I tried to use it. I was slightly more successful when I rebooted the system with the dongle connected. I attempted to pair my phone and it started the process, but got a tx timeout in the middle of the pairing transaction. After that it wouldn't communicate at all.

Comment 25 Stan Trzmiel 2010-07-20 08:59:55 UTC
It seems this issue is fixed for me in 2.6.34 kernels. Kernels I've tried:
  - kernel-2.6.34.1-9.fc13.i686
  - kernel-2.6.34.1-15.fc13.i686

and bluetooth works as it should, it can be hot/coldplugged, hciconfig shows proper device information:

hci0:   Type: BR/EDR  Bus: USB
        BD Address: 00:11:67:0E:CC:76  ACL MTU: 678:8  SCO MTU: 48:10
        UP RUNNING PSCAN 
        RX bytes:2883 acl:0 sco:0 events:79 errors:0
        TX bytes:1071 acl:0 sco:0 commands:79 errors:0

and I can send files, access phone with Wammu with no problems.

Comment 26 Daryll 2010-09-09 20:56:29 UTC
Problem still persists for me with 2.6.34.6-54.fc13.i686.PAE
When I insert the dongle I get:
Sep  9 13:49:14 ninja kernel: usb 4-1: new full speed USB device using uhci_hcd and address 2
Sep  9 13:49:14 ninja kernel: usb 4-1: New USB device found, idVendor=0a12, idProduct=0001
Sep  9 13:49:14 ninja kernel: usb 4-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Sep  9 13:49:14 ninja kernel: Bluetooth: Core ver 2.15
Sep  9 13:49:14 ninja kernel: NET: Registered protocol family 31
Sep  9 13:49:14 ninja kernel: Bluetooth: HCI device and connection manager initialized
Sep  9 13:49:14 ninja kernel: Bluetooth: HCI socket layer initialized
Sep  9 13:49:14 ninja kernel: Bluetooth: Generic Bluetooth USB driver ver 0.6
Sep  9 13:49:14 ninja kernel: usbcore: registered new interface driver btusb
Sep  9 13:49:14 ninja bluetoothd[2766]: Bluetooth daemon 4.64
Sep  9 13:49:14 ninja bluetoothd[2767]: Starting SDP server
Sep  9 13:49:14 ninja kernel: Bluetooth: L2CAP ver 2.14
Sep  9 13:49:14 ninja kernel: Bluetooth: L2CAP socket layer initialized
Sep  9 13:49:14 ninja bluetoothd[2767]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Sep  9 13:49:14 ninja kernel: Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Sep  9 13:49:14 ninja kernel: Bluetooth: BNEP filters: protocol multicast
Sep  9 13:49:14 ninja bluetoothd[2767]: bridge pan0 created
Sep  9 13:49:14 ninja bluetoothd[2767]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Sep  9 13:49:14 ninja bluetoothd[2767]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Sep  9 13:49:14 ninja kernel: Bridge firewalling registered
Sep  9 13:49:14 ninja bluetoothd[2767]: HCI dev 0 registered
Sep  9 13:49:14 ninja kernel: Bluetooth: SCO (Voice Link) ver 0.6
Sep  9 13:49:14 ninja kernel: Bluetooth: SCO socket layer initialized
Sep  9 13:49:14 ninja NetworkManager[1385]: <warn> /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
Sep  9 13:49:14 ninja bluetoothd[2767]: HCI dev 0 up
Sep  9 13:49:14 ninja bluetoothd[2767]: Starting security manager 0
Sep  9 13:49:14 ninja bluetoothd[2767]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Sep  9 13:49:14 ninja kernel: Bluetooth: RFCOMM TTY layer initialized
Sep  9 13:49:14 ninja kernel: Bluetooth: RFCOMM socket layer initialized
Sep  9 13:49:14 ninja kernel: Bluetooth: RFCOMM ver 1.11
Sep  9 13:49:14 ninja bluetoothd[2767]: Adapter /org/bluez/2766/hci0 has been enabled
Sep  9 13:49:20 ninja bluetoothd[2767]: Sending read scan enable command failed: Connection timed out (110)
Sep  9 13:49:58 ninja bluetoothd[2767]: Discovery session 0x1c6f068 with :1.75 activated
Sep  9 13:49:58 ninja kernel: hci_cmd_task: hci0 command tx timeout

The last message repeats if I try to do much of anything else.

I'd say this isn't really fixed in 2.34.1 or we're looking at two different issues.

Comment 27 Johannes Schanda 2010-09-24 10:10:01 UTC
Just to add my report, this occurs for me with 2.6.34.7-56.fc13.x86_64 in FC13.

/var/log/messages from plugin to attempted discovery:

Sep 24 10:22:37 lip06jcs-desktop kernel: usb 5-2: new full speed USB device using uhci_hcd
 and address 2
Sep 24 10:22:37 lip06jcs-desktop kernel: usb 5-2: New USB device found, idVendor=0a12, idP
roduct=0001
Sep 24 10:22:37 lip06jcs-desktop kernel: usb 5-2: New USB device strings: Mfr=0, Product=0
, SerialNumber=0
Sep 24 10:22:37 lip06jcs-desktop kernel: Bluetooth: Core ver 2.15
Sep 24 10:22:37 lip06jcs-desktop kernel: NET: Registered protocol family 31
Sep 24 10:22:37 lip06jcs-desktop kernel: Bluetooth: HCI device and connection manager initialized
Sep 24 10:22:37 lip06jcs-desktop kernel: Bluetooth: HCI socket layer initialized
Sep 24 10:22:38 lip06jcs-desktop kernel: Bluetooth: Generic Bluetooth USB driver ver 0.6
Sep 24 10:22:38 lip06jcs-desktop kernel: usbcore: registered new interface driver btusb
Sep 24 10:22:38 lip06jcs-desktop bluetoothd[27218]: Bluetooth daemon 4.64
Sep 24 10:22:38 lip06jcs-desktop bluetoothd[27219]: Starting SDP server
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: L2CAP ver 2.14
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: L2CAP socket layer initialized
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: BNEP filters: protocol multicast
Sep 24 10:22:39 lip06jcs-desktop kernel: Bridge firewalling registered
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: bridge pan0 created
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: SCO (Voice Link) ver 0.6
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: SCO socket layer initialized
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: HCI dev 0 registered
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: HCI dev 0 up
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Starting security manager 0
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: RFCOMM TTY layer initialized
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Adapter /org/bluez/27218/hci0 has been enabled
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: RFCOMM socket layer initialized
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: RFCOMM ver 1.11
Sep 24 10:22:39 lip06jcs-desktop NetworkManager[1312]: <warn> /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
Sep 24 10:22:44 lip06jcs-desktop bluetoothd[27219]: Sending read scan enable command failed: Connection timed out (110)
Sep 24 10:31:47 lip06jcs-desktop pulseaudio[2526]: ratelimit.c: 592 events suppressed
Sep 24 10:42:22 lip06jcs-desktop kernel: hci_cmd_task: hci0 command tx timeout
Sep 24 10:42:37 lip06jcs-desktop yum[28215]: Installed: bluez-libs-devel-4.64-1.fc13.x86_64
Sep 24 10:42:44 lip06jcs-desktop bluetoothd[27219]: Discovery session 0x7f0704de8b60 with :1.133 activated
Sep 24 10:42:44 lip06jcs-desktop kernel: hci_cmd_task: hci0 command tx timeout
Sep 24 10:43:27 lip06jcs-desktop bluetoothd[27219]: Stopping discovery
Sep 24 10:43:27 lip06jcs-desktop kernel: hci_cmd_task: hci0 command tx timeout

Last message repeats when I try to do anything else with the adapter.

Comment 28 Bug Zapper 2010-11-04 10:23:01 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 29 Sinan H 2010-11-04 10:41:27 UTC
fixed for me on 2.6.34.7-61.fc13.x86_64

Comment 30 Daryll 2010-11-04 16:16:03 UTC
This is still a problem for me with kernel-PAE-2.6.34.7-61.fc13.i686. I see:

Nov  4 09:08:25 stealth kernel: hci_cmd_task: hci0 command tx timeout
Nov  4 09:08:34 stealth kernel: hci_cmd_task: hci0 command tx timeout
Nov  4 09:10:18 stealth kernel: hci_cmd_task: hci0 command tx timeout

In the logs when I try to do a discovery.

Comment 31 Pedro Silva 2010-11-24 16:50:06 UTC
I still hit this bug. Running F14 fully update till today.

Upon insertion of BT dongle:

Nov 24 16:29:20 work kernel: [14024.876104] usb 2-1.2: new full speed USB device using ehci_hcd and address 6
Nov 24 16:29:20 work kernel: [14024.963736] usb 2-1.2: New USB device found, idVendor=0a12, idProduct=0001
Nov 24 16:29:20 work kernel: [14024.963744] usb 2-1.2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Nov 24 16:29:20 work bluetoothd[1676]: HCI dev 1 registered
Nov 24 16:29:20 work bluetoothd[1676]: HCI dev 1 up
Nov 24 16:29:20 work bluetoothd[1676]: Starting security manager 1
Nov 24 16:29:25 work bluetoothd[1676]: Can't read version info for /org/bluez/1672/hci1: Connection timed out (110)

[root@work ~]# lsusb
Bus 002 Device 006: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

[root@work ~]# hciconfig
hci1:	Type: BR/EDR  Bus: USB
	BD Address: XX:XX:XX:XX:XX:XX  ACL MTU: 1021:4  SCO MTU: 180:1
	UP RUNNING 
	RX bytes:330 acl:0 sco:0 events:8 errors:0
	TX bytes:24 acl:0 sco:0 commands:9 errors:1

( I masked the BD Address )

Comment 32 Justin Richards 2010-12-12 03:02:13 UTC
Same here:
Fedora 14, updated today (Dec. 11 2010)

On Insert:
Dec 11 20:49:55 Overeasy kernel: [16655.639043] usb 3-2: new full speed USB device using ohci_hcd and address 6
Dec 11 20:49:55 Overeasy kernel: [16655.827395] usb 3-2: New USB device found, idVendor=0a12, idProduct=0001
Dec 11 20:49:55 Overeasy kernel: [16655.827408] usb 3-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0

[root@Overeasy ~]# lsusb | grep 0a12
Bus 003 Device 006: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

[root@Overeasy ~]# hciconfig -a
hci0:	Type: BR/EDR  Bus: USB
	BD Address: 00:00:00:00:00:00  ACL MTU: 0:0  SCO MTU: 0:0
	DOWN 
	RX bytes:0 acl:0 sco:0 events:0 errors:0
	TX bytes:0 acl:0 sco:0 commands:0 errors:0

[root@Overeasy ~]# hciconfig hci0 up
[root@Overeasy ~]# hciconfig hci0 
hci0:	Type: BR/EDR  Bus: USB
	BD Address: 00:1F:81:00:01:1C  ACL MTU: 1021:4  SCO MTU: 180:1
	UP RUNNING 
	RX bytes:322 acl:0 sco:0 events:7 errors:0
	TX bytes:21 acl:0 sco:0 commands:8 errors:1

[root@Overeasy ~]# hcitool scan
Scanning ...
Inquiry failed: Connection timed out

Comment 33 Mark Hobley 2011-03-21 00:12:12 UTC
Related bugs: Ubuntu launchpad #460743, Debian Squeeze #525220, Linux kernel #10126. Tested again using experimental kernel 2.6.38-rc6. The problem does not occur during intial status enquiry, but a timeout occurs, when an attempt is made to activate the bluetooth device:

Comment 34 Mark Hobley 2011-05-03 22:26:23 UTC
This appears to still be broken in 2.6.390-rc4:

# hciconfig hci0 up
Can't init device hci0: Connection timed out (110)

Comment 35 Marius Razvan Neagu 2011-05-18 13:21:41 UTC
Hi, All

Here is my config (I have Debian Squeeze installed on a  Dell D630):

$ uname -a
Linux mrneagu-ro 2.6.32-5-amd64 #1 SMP Mon Mar 7 21:35:22 UTC 2011 x86_64 GNU/Linux
cat /etc/debian_version 
6.0.1

'hciconfig hci0' gave me null BT address (00:00:00:00:00:00) and I also could not bring up the Bluetooth module:

hciconfig hci0 up
Can't init device hci0: Connection timed out (110)

lsusb gave me someting like this:
Bus 002 Device 002: ID 413c:8140 Dell Computer Corp. Wireless 360 Bluetooth



My problem occurred when I started VMWare which stole the Bluetooth adapter (usb.autoConnect.device0 = "" and even if usb.generic.autoconnect = "FALSE" it stole my Bluetooth). Then the kernel (on the host) crashed and Gnome asked me to send a report to kernel.org.

As this happened really often, I usually had to reboot to solve the problem, so I was searching for a way to reset the Bluetooth module in place and restart Bluetooth services. I found this post: http://marc.info/?l=linux-usb&m=121459435621262&w=2 to reset the any usb device.

$ sudo usbreset /dev/bus/usb/002/002 

After this, every restart would not resolve the problem. Address of the module still null and "Can't init device hci0: Connection timed out (110)". The Bluetooth icon in the upper-right corner of the screen had always a red x-mark on it.

Additionally the Bluetoth module changed from bus 2 to bus 3:
Bus 003 Device 002: ID 413c:8140 Dell Computer Corp. Wireless 360 Bluetooth


Now, I resolved the problem according to this forum: http://ubuntuforums.org/showpost.php?p=8306034&postcount=4 :

I restarted in Windows and used the Bluetooth mouse there and then rebooted back in Debian and it came back by itself. So it seems that Windows somehow knows how to reset the Bluetooth module and Linux doesn't. I don't know if it's a kernel or bluez bug, but I hope this gets resolved because it is very annoying.

Thank you.
Kind Regards.

Comment 36 Stan Trzmiel 2011-06-19 10:18:04 UTC
Isn't is some kind of firmware problem? I had my KY-BT100 USB Bluetooth adapter (ID 1131:1001) working perfectly fine in Fedora 14, with update to F15 it stopped to work again.

Funny thing is, if I boot F14, enable BT then reboot to F15 it works as long as the the adapter stays plugged. Replugging BT makes it unusable again.

My current software  is:
kernel-2.6.38.8-32.fc15.i686.PAE
bluez-4.87-5.fc15.i686

test Fedora 14 (stock livecd)
kernel-2.6.35.6-45.fc14.686
bluez-4.71-5.fc14.i686

Comment 37 Mark Hobley 2011-06-22 12:12:04 UTC
It turns out that some bluetooth devices that advertise themselves as "Cambridge Silicon Radio" actually use a chipset made by Accel Semiconductor. These devices do not work in Linux, and cause the symptoms described in this bug. Try opening the case on one of the dongles with a screwdriver, and looking for markings on the board. If there is a marking that contains a number beginning "AS3620QA", then this device contains a chip made by Accel Semiconductor. These devices do not work on Linux at this time. I don't know whether or not anyone is working on a driver for these, but the CSR stuff will not work, although it may appear to be partially or intermittently operational.

Mark.

Comment 38 Stan Trzmiel 2011-06-22 17:35:41 UTC
It seems that we have two separate cases here.
  - adapters that never worked properly under linux
  - adapters, for which support has  regressed in some particular kernel release.

Comment 39 Daryll 2011-06-24 22:03:35 UTC
Mark, 

Mine is one of the Accel Semiconductor AS3620QA units, so that explains my blue tooth problems. I'm SOL for now. Luckily they were cheap. :)

Comment 40 Pedro Silva 2011-06-27 16:42:20 UTC
(In reply to comment #38)
> It seems that we have two separate cases here.
>   - adapters that never worked properly under linux
>   - adapters, for which support has  regressed in some particular kernel
> release.

Yes, for me this was a regression, as I wrote in Comment #3.

Comment 41 Stan Trzmiel 2011-07-02 17:19:33 UTC
I found one thing that some might find interesting. My laptop (Samsung R522) has 4 USB ports. One of them is chargeable. If I plug BT adapter in this particular port it works properly, I can enable it, pair my phone, browse it content. If I plug BT adapter in any other port (including powered USB hub) device is detected, but permanently in off state.

Comment 42 Sergei LITVINENKO 2011-08-29 19:32:36 UTC
Bluetooth is worked under F14, but stop to work with F15

[root@ua-dudn00000 bluetooth]# cat /etc/issue
Fedora release 15 (Lovelock)
Kernel \r on an \m (\l)

[root@ua-dudn00000 bluetooth]# uname -r
2.6.40.3-0.fc15.i686.PAE

[root@ua-dudn00000 bluetooth]#  hciconfig -a
hci0:   Type: BR/EDR  Bus: USB
        BD Address: 00:27:13:C4:1A:6A  ACL MTU: 1021:8  SCO MTU: 64:1
        DOWN 
        RX bytes:493 acl:0 sco:0 events:22 errors:0
        TX bytes:200 acl:0 sco:0 commands:52 errors:1
        Features: 0xff 0xff 0x8f 0xfe 0x9b 0xff 0x79 0x83
        Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
        Link policy: RSWITCH HOLD SNIFF PARK 
        Link mode: SLAVE ACCEPT

[root@ua-dudn00000 bluetooth]# lsusb -v -d 03f0:231d

Bus 001 Device 005: ID 03f0:231d Hewlett-Packard 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass          224 Wireless
  bDeviceSubClass         1 Radio Frequency
  bDeviceProtocol         1 Bluetooth
  bMaxPacketSize0        64
  idVendor           0x03f0 Hewlett-Packard
  idProduct          0x231d 
  bcdDevice            3.06
  iManufacturer           1 Broadcom Corp
  iProduct                2 HP Integrated Module
  iSerial                 0 
  bNumConfigurations      1
...

[root@ua-dudn00000 bluetooth]#  hciconfig hci0 up
Can't init device hci0: Connection timed out (110)

[root@ua-dudn00000 bluetooth]# service bluetooth restart
Redirecting to /bin/systemctl  restart bluetooth.service
[root@ua-dudn00000 bluetooth]# dmesg
[ 5138.468776] hci_cmd_timer: hci0 command tx timeout
[ 5139.470320] hci_cmd_timer: hci0 command tx timeout
[ 5140.471892] hci_cmd_timer: hci0 command tx timeout
[ 5141.473456] hci_cmd_timer: hci0 command tx timeout

Comment 43 Dave Jones 2011-10-11 18:00:15 UTC
there seem to be a number of different problems reported here, some of which may be fixed in current trees.

Given where f14 is in its lifecycle, it's unlikely to see further fixes beyond security bugs, and easily backported identified changes. 

If you are still having problems on f15/f16beta, please file a new bug against the relevant release. Tracking them independently is the only way to really get a handle on this.

Comment 44 fer 2012-03-08 02:31:38 UTC
Well !


My dongue was functional in fedora 14. After a migration to 15 and PUF !

"can't init device hci0", bla bla bla !


BUT !

Maybe you can see what f17 has made.
I have downloaded a SPIN with GNOME (i use KDE) and my bluetooth is live again.

Look there, into F17, and please, correct the f16 bug.


Note You need to log in before you can comment on or make changes to this bug.